PHP Manual
Prev |  | Next

# shmop_read

(PHP 4 >= 4.0.4, PHP 5)

shmop_read -- Read data from shared memory block

## Description

string shmop_read ( int shmid, int start, int count )

shmop_read() will read a string from shared memory block.

## Parameters

`shmid`

  The shared memory block identifier created by shmop_open()

`start`

  Offset from which to start reading

`count`

  The number of bytes to read

## Return Values

Returns the data or `FALSE` on failure.

## Examples

Example 1. Reading shared memory block

`<?php $shm_data = shmop_read($shm_id, 0, 50); ?>`

This example will read 50 bytes from shared memory block and place the data inside `$shm_data`.

## See Also

shmop_write()

Prev | Home | Next
shmop_open | Up | shmop_size